import axios from '@/utils/axios'

export default {
  /**
   * 新增标注
   */
  scratchWordsAdd(params) {
    return axios.post('/v2/scratchWords/add', params)
  },
  /**
   * 查询标注
   */
  scratchWordsQuery(params) {
    return axios.post('/v2/scratchWords/query', params)
  },
  /**
   * 更新标注
   */
  scratchWordsUpdate(params) {
    return axios.post('/v2/scratchWords/update', params)
  },
  /**
   * 删除标注
   */
  scratchWordsDelete(params) {
    return axios.post('/v2/scratchWords/delete', params)
  },
  /**
   * 标注库查询
   */
  queryScratchS(params) {
    return axios.post('/v2/scratchWords/queryScratchs', params)
  },
  /**
   * 标注库分组查询
   */
  queryGroupScratchS(params) {
    return axios.post('/v2/scratchWords/queryGroupScratchs', params)
  },
}